(function ($) {
	"use strict";
	$(document).ready(function($){
		if($('#sns_header .sns_menu_wrapper').length && $('body').hasClass('use_stickmenu')){
		    var headerOrgOffset = $('#sns_header .sns_menu_wrapper').offset().top;
		    
		    $(window).scroll(function() {
		        var currentScroll = $(this).scrollTop();
		        if(currentScroll > headerOrgOffset) {
		        	$('#sns_header .sns_menu_wrapper:not(.stiky-spacer)').addClass('keep-menu');
		        	if ( $('#sns_header .sns_menu_wrapper.stiky-spacer').length <= 0 ){
		        		$('#sns_header .sns_menu_wrapper').clone().addClass('stiky-spacer').appendTo('#sns_header #sns_menu');
		        	}
		        	
		        } else {
		        	$('#sns_header .sns_menu_wrapper:not(.stiky-spacer)').removeClass('keep-menu');
		        	if ( $('#sns_header .sns_menu_wrapper.stiky-spacer').length > 0 ){
		        		$('#sns_header .sns_menu_wrapper.stiky-spacer').remove();
		        	}
		        }
		    });
		}

		$('#menu_offcanvas').SnsAccordion({
			btn_open: '<span class="ac-tongle open"></span>',
			btn_close: '<span class="ac-tongle close"></span>',
		});
		$('#sns_respmenu .btn2.offcanvas').on('click', function(){
			if($('#menu_offcanvas').hasClass('active')){
				$(this).find('.overlay').fadeOut(250);
				$('#menu_offcanvas').removeClass('active');
				$('body').removeClass('show-sidebar', 4000);
			} else {
				$('#menu_offcanvas').addClass('active');
				$(this).find('.overlay').fadeIn(250);
				$('body').addClass('show-sidebar');
			}
		});
		if($('#sns_content .sns-right').length) {
			$('#sns_respmenu .btn2.rightsidebar').css('display', 'inline-block').on('click', function(){
				if($('#sns_content .sns-right').hasClass('active')){
					$(this).find('.overlay').fadeOut(250);
					$('#sns_content .sns-right').removeClass('active');
					$('body').removeClass('show-sidebar', 4000);
				} else {
					$('#sns_content .sns-right').addClass('active');
					$(this).find('.overlay').fadeIn(250);
					$('body').addClass('show-sidebar');
				}
			});
		}
		if($('#sns_content .sns-left').length) {
			$('#sns_respmenu .btn2.leftsidebar').css('display', 'inline-block').on('click', function(){
				if($('#sns_content .sns-left').hasClass('active')){
					$(this).find('.overlay').fadeOut(250);
					$('#sns_content .sns-left').removeClass('active');
					$('body').removeClass('show-sidebar', 4000);
				} else {
					$('#sns_content .sns-left').addClass('active');
					$(this).find('.overlay').fadeIn();
					$('body').addClass('show-sidebar');
				}
			});
		}

		// Breadcrumbs
		if ( $('#sns_breadcrumbs .page-header').length > 0 ) {
			if ( $('.single .sns-main article .post-title').length > 0 ) {
				$('.single .sns-main article .post-title').hide();
			}
			if ( $('.sns-main .sns_main_products .entry-summary .product_title').length > 0 ) {
				$('.sns-main .sns_main_products .entry-summary .product_title').hide();
			}
		}
		$(".header-search form button[type='submit']").on('click', function(e) {
			e.preventDefault(); console.log( $(this).parent().find("input#s").val().trim() );
			if ( $(this).parent().find("input#s").val().trim() == '' ){
				return false;
			}else{
				$(this).parent('form').submit();
			}
		});
		// lazyload for woo product
		if( $('body').hasClass('use_lazyload') ){
			$('.product_list, .sns-products-list').each(function(){
				if( $(this).length > 0 ){
					$(this).find('img.lazy').lazyload();
				}
			})
		}
		// Accordion for category blog
		if( $('.widget_categories ul').length > 0 ) {
			$('.widget_categories ul').SnsAccordion({
				btn_open: '<span class="ac-tongle open">+</span>',
				btn_close: '<span class="ac-tongle close">-</span>',
			});
		}
		// handle-preload
		$('.handle-preload').removeClass('handle-preload');
		// Set color, border-color for social icon
		$('.connect-us [data-color]').hover(function(){
			$(this).css({
				'color':$(this).attr('data-color'), 
				'border-color':$(this).attr('data-color')
			});
		},function(){
			$(this).css({
				'color':'',
				'border-color':''
			})
		});
		// products slider preload
		if( $('.sns-products-slider').length > 0 ){
			setTimeout(function(){
				$('.sns-products-slider').addClass('loaded');
			},1100);
		}

		// SNS Preload
		if( $('.sns-preload').length > 0 ){
			setTimeout(function(){
				$('.sns-preload').addClass('sns-loaded');
			},1000);
		}

		// Count to
		$('.counter-value').each(function(){
			$(this).waypoint(function() {
	        	var element = $(this).find(' > span');
		    	element.countTo({
		    		from: element.data('from'), 
		    		to: element.data('to'),
		    		efreshInterval: element.data('interval'),
		    		speed: element.data('speed')
		    	});
	        },{
			triggerOnce : true ,
			     offset : '100%'
	    	});
		});
		
		// Advance banner
		// if( $('.sns-advance-banner').length ){
		// 	$('.sns-advance-banner').each(function(){
		// 		if($(this).hasClass('has-fist-letter-color')){
		// 			//var elements = document.getElementsByClassName("each-word");
		// 			var elements = $(this).find('.heading_text');
		// 			  for (var i=0; i<elements.length; i++){
		// 			    elements[i].innerHTML = elements[i].innerHTML.replace(/\\b([a-z])([a-z]+)?\\b/gim, "<span class='first-letter'>$1</span>$2")
		// 			  }
		// 		}
		// 	});
		// }

		if( $('.sns_show_video .content').length ){
			$('.sns_show_video .content').each(function(){
				if($(this).hasClass('has-fist-letter-color')){
					//var elements = document.getElementsByClassName("each-word");
					var elements = $(this).find('.heading_text');
					  for (var i=0; i<elements.length; i++){
					    elements[i].innerHTML = elements[i].innerHTML.replace(/\\b([a-z])([a-z]+)?\\b/gim, "<span class='first-letter'>$1</span>$2")
					  }
				}
			});
		}
		// blog masonry
		if($('.sns-grid-masonry').length > 0){
			$('.sns-grid-masonry').masonry({
				// options
				itemSelector: '.sns-grid-item',
			});
		}

		
		
	});
		
	$(window).load(function(){
		// Tooltip
	    $("body.use-tooltip *[data-toggle='tooltip']").each(function(){
			$(this).tooltip({
	    		container: 'body'
	    	}, 'show');
		});
		$(document).ajaxComplete(function(){
			$("body.use-tooltip *[data-toggle='tooltip']").each(function(){
				$(this).tooltip({
		    		container: 'body'
		    	});
			});
			// lazyload for woo product
			if( $('body').hasClass('use_lazyload') ){
				var timeout = setTimeout(function() {
					$(".sns-main img.lazy:not(.loaded)").lazyload();
				}, 1000);
			}
		});
	});

	$.fn.SnsAccordion = function(options) {
		var $el    = $(this);
		var defaults = {
			active: 'open',
			active_default: 'nav-2',
			el_wrap: 'li',
			el_content: 'ul',
			accordion: true,
			expand: true,
			btn_open: '<i class="fa fa-plus-square-o"></i>',
			btn_close: '<i class="fa fa-minus-square-o"></i>'
		};
		var options = $.extend({}, defaults, options);
		
		$el.find(options.el_wrap).each(function(){
			$(this).find('> a, > h4').wrap('<div class="accr_header"></div>');
			if(($(this).find(options.el_content)).length){
				$(this).find('> .accr_header').append('<span class="btn_accor">' + options.btn_open + '</span>');
				$(this).find('> '+options.el_content+':not(".accr_header")').wrap('<div class="accr_content"></div>');
			}
		});
		if(options.accordion){
			$('.accr_content').hide();
			$el.find(options.el_wrap).each(function(){
				var $this_el_wrap = $(this);
				var $active_d = options.active_default;
				if ( Array.isArray($active_d) ) {
					for (var i = 0; i < $active_d.length; i++) {
					    if( $active_d[i] !=='' ){
							if( $this_el_wrap.hasClass( $active_d[i] ) ){
								$this_el_wrap.find('> .accr_content').addClass(options.active).slideDown();
								$this_el_wrap.find('> .accr_header').addClass(options.active);
								$this_el_wrap.find('> .accr_header .btn_accor').html(options.btn_close);
								break;
							}
						}
					}
				} else {
					if(options.active_default!==''){
						if( $this_el_wrap.hasClass($(this)) ){
							$this_el_wrap.find('> .accr_content').addClass(options.active).slideDown();
							$this_el_wrap.find('> .accr_header').addClass(options.active);
							$this_el_wrap.find('> .accr_header .btn_accor').html(options.btn_close);
						}
					}
				}
			});
			$('.accr_content.open').slideDown();
		} else {
			$el.find(options.el_wrap).each(function(){
				if(!options.expand){
					$('.accr_content').hide();
				} else {
					$(this).find('> .accr_content').addClass(options.active);
					$(this).find('> .accr_header').addClass(options.active);
					$(this).find('> .accr_header .btn_accor').html(options.btn_close);
					$('.accr_content.open').slideDown();
				}
			});
		}
		$el.find(options.el_wrap).each(function(){
			var $wrap = $(this);
			var $accrhead = $wrap.find('> .accr_header');
			var btn_accor = '.btn_accor';
			
			$accrhead.find(btn_accor).on('click', function(event) {
				event.preventDefault();
				var obj = $(this);
				var slide = true;
				if($accrhead.hasClass(options.active)) {
					slide = false;
				}
				if(options.accordion){
					$wrap.siblings(options.el_wrap).find('> .accr_content').slideUp().removeClass(options.active);
					$wrap.siblings(options.el_wrap).find('> .accr_header').removeClass(options.active);
					$wrap.siblings(options.el_wrap).find('> .accr_header ' + btn_accor).html(options.btn_open);
				}
				if(slide) {
					$accrhead.addClass(options.active);
					obj.html(options.btn_close);
					$accrhead.siblings('.accr_content').addClass(options.active).stop(true, true).slideDown();
				} else {
					$accrhead.removeClass(options.active);
					obj.html(options.btn_open);
					$accrhead.siblings('.accr_content').removeClass(options.active).stop(true, true).slideUp();
				}
				return false;
			});
		});
		$el.addClass('handled');
	};  

	 // Top header toggle menu
    if($('#sns_header.style2 .icon-menu').length > 0){
    	//$('.sns-mainnav-wrapper').hide();
    	$('#sns_header.style2 .icon-menu').on('click', function(event){
    		
    		event.preventDefault();
    		var _this = $(this);
    		if(_this.hasClass('close')){
    			_this.removeClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').addClass('open');
    			$('.menu-text').addClass('hid');
    		}else{
    			_this.addClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').removeClass('open');
    			$('.menu-text').removeClass('hid');
    		}
    	});
    }

    // cpanel
  		 $('#sns_tools #sns_cpanel #sns_cpanel_btn').click(function(){
			if( $('#sns_tools #sns_cpanel').hasClass('open') ){
				$('#sns_tools #sns_cpanel').animate({right:'-290px'});
				$('#sns_tools #sns_cpanel').removeClass('open');
				
			}else{
				
				$('#sns_tools #sns_cpanel').animate({right:'0px'});
				$('#sns_tools #sns_cpanel').addClass('open');
			}
		});
	
		// var themecolorOptions = {
		// 		change: function(event, ui){
		// 		    $('input[name="sns_themecolor"]').val(ui.color.toString());
		// 		    //console.log(ui.color.toString());
		// 		},
		// };
		
		//$("#sns_themeboxcolor").wpColorPicker(themecolorOptions);
		
		// SCSS Compile
		$('#sns_tools #sns_cpanel .scss_compile a').click(function(){
            var scsscompile = $(this).data('scsscompile');
            var href = $(this).attr('href');
            $('#sns_tools #sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'advance_scss_compile',
                	value : scsscompile
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
		
		$('#sns_tools #cpanel_themecolor a').each(function(){
			$(this).css({
				'background-color': '#'+$(this).data('color')
			});
		})

		// Click theme color
		$('#sns_tools #cpanel_themecolor a').click(function(){
            var color = $(this).data('color');
            var href = $(this).attr('href');
            $('#sns_tools #sns_cpanel').addClass('wait');
            if ( href != '#' ) window.location.href = href;
            else window.location.href = window.location.href;
            return false;
        });

        // Click Boxed Layout
		$('#sns_tools #sns_cpanel .boxed_layout a').click(function(){
            var boxed = $(this).attr('data-boxed');
            var href = $(this).attr('href');
            $('#sns_tools #sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'use_boxedlayout',
                	value : boxed
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
        
        // Click Sticky Menu
		$('#sns_tools #sns_cpanel .sticky_menu a').click(function(){
            var sticky = $(this).data('sticky');
            var href = $(this).attr('href');
            $('#sns_tools #sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'use_stickmenu',
                	value : sticky
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
        
        // Reset cookie
        $('#sns_tools #sns_cpanel .btn-reset').click(function(){
            var href = '<?php echo site_url(); ?>';
            $('#sns_tools #sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_resetcookies'
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
     // Top header toggle menu
    if($('#sns_header.style4 .icon-menu').length > 0){
    	//$('.sns-mainnav-wrapper').hide();
    	$('#sns_header.style4 .icon-menu').on('click', function(event){
    		
    		event.preventDefault();
    		var _this = $(this);
    		if(_this.hasClass('close')){
    			_this.removeClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').addClass('open');
    			$('.menu-text').addClass('hid');
    			$('#logo').addClass('hid');
    		}else{
    			_this.addClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').removeClass('open');
    			$('.menu-text').removeClass('hid');
    			$('#logo').removeClass('hid');
    		}
    	});
    }

})(jQuery);