<?php
$theme_color = snsanton_themeoption('theme_color', '#f89b72');

// Get page meta data
if (function_exists('rwmb_meta') && rwmb_meta('snsanton_page_themecolor') == 1) {
	$theme_color = rwmb_meta('snsanton_theme_color') != '' ? rwmb_meta('snsanton_theme_color') : $theme_color;
}

$theme_color = str_replace('#', '', $theme_color);
$boxedlayout =  snsanton_themeoption('use_boxedlayout');
$stickymenu = snsanton_themeoption('use_stickmenu');

?>
<div id="sns_cpanel">
    <div class="cpanel-head">
    	<a class="button btn-buy" href="#" title="<?php echo esc_html__('Buy Theme Now', 'snsanton'); ?>"><?php echo esc_html__('Buy Theme Now', 'snsanton'); ?></a>
    </div>
    <div class="cpanel-set">
    	<div class="form-group">
    		<div class="col-xs-12">
				<label><?php echo esc_html__('Theme Color', 'snsanton'); ?></label>
				<?php /*
				<div class="" id="cpanel_themecolor">
					<input data-default-color="<?php echo esc_attr($theme_color); ?>" name="sns_themeboxcolor" type="text" id="sns_themeboxcolor" value="<?php echo esc_attr($theme_color); ?>" />
					
					<input type="hidden" name="sns_themecolor" value="<?php echo esc_attr($theme_color); ?>"/>
				</div>

				*/ ?>
				<div class="" id="cpanel_themecolor">
					<a class="<?php echo ( $theme_color == 'c4b498' ) ? 'active color' : 'color'; ?>" href="<?php echo ( get_page(370) ) ? esc_url( get_page_link(370) ) : '' ; ?>" data-color="c4b498">#c4b498</a>
					<a class="<?php echo ( $theme_color == 'e0da1a' ) ? 'active color' : 'color'; ?>" href="<?php echo ( get_page(1346) ) ? esc_url( get_page_link(1346) ) : '' ; ?>" data-color="e0da1a">#e0da1a</a>
                    <a class="<?php echo ( $theme_color == '17a7f1' ) ? 'active color' : 'color'; ?>" href="<?php echo ( get_page(374) ) ? esc_url( get_page_link(374) ) : '' ; ?>" data-color="17a7f1">#17a7f1</a>
				</div>

				<p><?php echo esc_html__('You can also sellect color codes via admin theme options', 'snsanton'); ?></p>
			</div>		
		</div>
		<?php
		$scss_compile = snsanton_themeoption('advance_scss_compile');
		?>
		
		<div class="form-group">
			<div class="col-xs-12">
				<label><?php echo esc_html__('Always Compile SCSS', 'snsanton'); ?></label>
				<div class="content scss_compile">
					<a class="<?php echo ($scss_compile == 2)?'active menu':'menu'; ?>" href="#" data-scsscompile="2">Yes</a>
					<a class="<?php echo ($scss_compile == 1)?'active menu':'menu'; ?>" href="#" data-scsscompile="1">No</a>
					<input type="hidden" name="scss_compile" value="<?php echo esc_attr($scss_compile); ?>"/>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="col-xs-12">
				<label><?php echo esc_html__('Enable sticky menu', 'snsanton'); ?></label>
				<div class="content sticky_menu">
					<a class="<?php echo ($stickymenu == 1)?'active menu':'menu'; ?>" href="#" data-sticky="1">Yes</a>
					<a class="<?php echo ($stickymenu == 0)?'active menu':'menu'; ?>" href="#" data-sticky="0">No</a>
					<input type="hidden" name="sticky_menu" value="<?php echo esc_attr($stickymenu); ?>"/>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="col-xs-12">
				<label><?php echo esc_html__('Use boxed Layout', 'snsanton'); ?></label>
				<div class="content boxed_layout">
					<a class="<?php echo ($boxedlayout == 1)?'active layout':'layout'; ?>" href="#" data-boxed="1">Yes</a>
					<a class="<?php echo ($boxedlayout == 0)?'active layout':'layout'; ?>" href="#" data-boxed="0">No</a>
					<input type="hidden" name="sns_boxed_layout" value="<?php echo esc_attr($boxedlayout); ?>" />
				</div>
			</div>
		</div>
    </div>
    <div class="cpanel-bottom">
    	<div class="form-group">
			<div class="col-xs-12">
				<div class="button-action">
					<!--<a class="button btn-preview" href="#"><?php //echo esc_html__('Preview', 'snsanton'); ?></a> -->
					<a class="button btn-reset" href="#"><?php echo esc_html__('Reset Options', 'snsanton'); ?></a>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="col-xs-12">
				<!-- <label>Cpanel tool</label> -->
				<p><?php echo esc_html__('That is some options to demo for you.', 'snsanton'); ?></p>
			</div>
		</div>
	</div>
    <div id="sns_cpanel_btn">
        <i class="fa fa-cog fa-spin"></i>
    </div>
</div>