<?php 
	$clsads_class = '';
	if(snsanton_themeoption('header_style') != '' ):
		$clsads_class = snsanton_themeoption('header_style');
	endif;
?>

<!-- Header -->
<div id="sns_header" class="wrap <?php echo esc_attr($clsads_class) ?>">
	<div id="sns_menu">
		<div class="sns_menu_wrapper">
			<div class="container">
				<div class="contain">
					<div class="row">
						<div class="header-logo col-lg-3 col-md-3 col-sm-3 col-xs-12">
							<div id="logo">
								<?php 
								$logourl = SNSANTON_THEME_URI.'/assets/img/logo.png';
								if (snsanton_getOption('header_logo', 'image') !='' ){
									$logourl = snsanton_getOption('header_logo', 'image');
								}
								?>
								<a href="<?php echo esc_url( home_url('/') ) ?>" title="<?php bloginfo( 'sitename' ); ?>">
									<img src="<?php echo esc_attr($logourl); ?>" alt="<?php bloginfo( 'sitename' ); ?>"/>
								</a>
							</div>		
						</div>
						<div class="header-center col-lg-6 col-md-4 col-sm-3 col-xs-12">
							<div class="header-center-inner">
								<!-- Menu  -->
								<?php
								$show_menu = 1;
								if ( function_exists('rwmb_meta') ) {
									if ( rwmb_meta('snsanton_enable_menu') == '' || rwmb_meta('snsanton_enable_menu') == 1 ){
										//
									}elseif( rwmb_meta('snsanton_enable_menu') == 0 ) {
										$show_menu = 0;
									}
								}
								if ( is_page() && function_exists('rwmb_meta') && $show_menu == 0 ) : ?>
							    <!-- Hide Menu  -->
								<?php else: ?>
								<div class="sns-mainnav-wrapper">
										<div id="sns_mainnav">
											<div class="visible-lg" id="sns_mainmenu">
												<?php
								                if(has_nav_menu('main_navigation')):
										           wp_nav_menu( array(
										           				'theme_location' => 'main_navigation',
										           				'container' => false, 
										           				'menu_id' => 'main_navigation',
										           				'walker' => new snsanton_Megamenu_Front,
										           				'menu_class' => 'nav navbar-nav'
										           	) ); 
												else:
													echo '<p class="main_navigation_alert">'.esc_html__('Please sellect menu for Main navigation', 'snsanton').'</p>';
												endif;
												?>
											</div>
											<?php get_template_part('tpl-respmenu'); ?>
										</div>
								</div>
								<?php endif; ?>
								
							</div>
						</div>
						<div class="header-right col-lg-3 col-md-5 col-sm-6 col-xs-6">
							<div class="header-tools">
								<div class="myaccount">
									<?php 
									$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
									if ( $myaccount_page ) {
									 ?>
									<a class="tongle" href="<?php echo get_permalink( $myaccount_page );?>" title="<?php echo esc_attr__("Account", "snsanton"); ?>">
										<?php echo esc_html__("Account", "snsanton"); ?>
									</a>
									<?php
										} ?>
										
								</div>
								<div class="header-search">
									<?php if( shortcode_exists( 'yith_woocommerce_ajax_search' ) ):
										echo do_shortcode('[yith_woocommerce_ajax_search]');
									else:
										if(class_exists('WooCommerce')):
									?>

										<div id="SearchForm">
											<form method="get" onsubmit=”return Validate(this);” action="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>">
				                                <input type="text" name="s" id="s" class="input-search"
				                                       placeholder="<?php echo esc_html__('Enter your keywords...', 'snsanton'); ?>" />
				                                <input type="hidden" name="post_type" value="product" />
				                                <button type="submit"><?php echo esc_html__('Search', 'snsanton'); ?></button>
				                            </form>
										</div>
										<?php endif; ?>
									<?php endif; ?>
								</div>
								
										
								
								<?php
								if ( class_exists('WooCommerce') && get_option('yith_wcwl_wishlist_page_id')) { ?>
									<a class="wishlist" href="<?php echo get_page_link(get_option('yith_wcwl_wishlist_page_id')); ?>" title="<?php echo esc_attr__('Wishlist Page', 'snsanton'); ?>"><?php esc_html_e('Wishlist', 'snsanton');?></a>
									<?php
								} ?>

								<?php if ( class_exists('WooCommerce') ) : ?>
									<div class="mini-cart sns-ajaxcart close-cart">
										<div class="mycart mini-cart">
											<a title="View my shopping cart" href="<?php echo wc_get_cart_url(); ?>" class="tongle" >
												<div class="sns-shopping-cart-icon"><?php echo esc_html__("Cart", "snsanton"); ?>
												</div>
												<div class="number">
													<?php echo sizeof( WC()->cart->get_cart() );?>
												</div>
												<span class="overlay"></span>
											</a>
											<?php if ( !is_cart() && !is_checkout() ) : ?>
												<div class="content">
													<div class="cart-title"><h4><?php echo esc_html__("My cart", "snsanton"); ?></h4>
													<i class="close-cart"></i>
													</div>
													<div class="block-inner">
														<?php the_widget( 'WC_Widget_Cart', 'title= ', array('before_title' => '', 'after_title' => '') ); ?>
													</div>
												</div>
											<?php endif; ?>
										</div>
									</div>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>	
	</div>
</div>
<?php if ( is_page() && snsanton_metabox('snsanton_useslideshow') == 1 ): ?>
	<div id="sns_slideshow" class="wrap">
			<?php
				echo do_shortcode('[rev_slider '.esc_attr(snsanton_metabox('snsanton_revolutionslider')).' ]');
			?>
	</div>
<?php endif; ?>
<?php 
$showbreadcrumbs = 1;
if ( get_post_type( get_the_ID() ) == 'page' ) :
    if ( is_front_page() || ( snsanton_metabox('snsanton_showbreadcrump') == '2' ) ) :
        $showbreadcrumbs = 0;
    endif;
elseif ( get_post_type( get_the_ID() ) == 'post') :
        $showbreadcrumbs = 1;
endif;
if ( $showbreadcrumbs == 1 && !is_front_page()  && !is_404()) : ?>	
<div id="sns_breadcrumbs" class="wrap">
	<div class="container">
		<div class="contain">
			<?php  if (!is_home() || !is_front_page() || function_exists('rwmb_meta') && rwmb_meta('snsanton_showtitle') == 1)
				// Page title
				snsanton_pagetitle();
			?>	
			<?php if (!is_search() && $showbreadcrumbs == 1 && !is_front_page()  && !is_404()) : ?>	
			<div id="sns_pathway" class="clearfix">
				<?php snsanton_breadcrumbs(); ?>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>
<?php endif; ?>