<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
wp_enqueue_script( 'waypoints');

if( class_exists('WooCommerce') ){	
	if(empty($category)){
		return;
	}
	$query_args = array(
		'posts_per_page' 	=> 4,
		//'post_status' 	 	=> 'publish',
		'post_type' 	 	=> 'product',
		'order'          	=> 'DESC'
	);
	$query_args['tax_query'][] =
	array(
		'taxonomy'			=> 'product_cat',
		'field'				=> 'slug',
		'terms'				=> $category,
		'operator'			=> 'IN'
	);
	ob_start();
	$loop = new WP_Query($query_args);
	$image_url = absint($image) ? wp_get_attachment_image_url($image, 'full') : '';
	$image_url1 = absint($image1) ? wp_get_attachment_image_url($image1, 'full') : '';
	$uq = rand().time();
	$class = 'sns-category woocommerce';
	$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
	$class .= esc_attr($this->getCSSAnimation( $css_animation ));
	$class .= ' '.esc_attr( $image_alignment );
	$cat_obj = get_term_by( 'slug', $category, 'product_cat');
		?>
	<style scoped>
		#sns_category<?php echo $uq ?>.sns-category .category-info-wrap{ background: <?php echo $bg_color; ?>  }
		#sns_category<?php echo $uq ?>.sns-category .col1:after{ background: <?php echo $bg_color; ?>  }
		#sns_category<?php echo $uq ?>.sns-category .single_product h4{ background: <?php echo $bg_color; ?>  }
		#sns_category<?php echo $uq ?>.sns-category .p-title{ color: <?php echo $bg_color; ?>  }
		#sns_category<?php echo $uq ?> .product-meta .p-price{ color: <?php echo $bg_color; ?> }
		<?php if ( $image != '' ): ?>
		#sns_category<?php echo $uq ?> .col4{background-image: url('<?php echo $image_url ?>')}
		<?php endif ?>
	</style>
	
		<?php if( $loop->have_posts() ): ?>	
		<div id="sns_category<?php echo $uq ?>" class="<?php echo $class ?>">
			<div class="category-info-wrap">
					<div class="col col1">
						<div class="category_title">
							<?php if ( $category != '' ): ?>
							 	<h4 class="wpb_heading"><a href="<?php echo get_term_link( $cat_obj->term_id, 'product_cat' ); ?>"><?php echo $cat_obj->name; ?></a></h4>	
							<?php endif ?>
							<?php if ( $sub_title != '' ): ?>
								<h2 class="sub_title"><?php echo esc_attr($sub_title) ?></h2>
							<?php endif ?>
						</div>
					</div>
					<div class="col col2">
						<div class="product_image">
							<?php if ( $image1 != '' ): ?>
								<img class="image" alt="<?php echo esc_attr($img_title) ?>" src="<?php echo $image_url1 ?>"/>
							<?php endif ?>
						</div>
						<?php
							$args = array(
					        'post_type' => 'product',
					        'posts_per_page' => '1',
					        'p'		=> $id,
					        'post_status' => 'publish',
					    );
						$product = new WP_Query($args);
						if( $product->have_posts() ): $product->the_post();
							$pr = wc_get_product(get_the_ID());
						?>
						<div class="single_product">
							<div class="p-info">
								<?php if ( $label_product != '' ): ?>
									<h4 class="label_product"><?php echo esc_attr($label_product) ?></h2>
								<?php endif ?>
								<h3 class="p-title">
									<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title();?>">
									<?php the_title();?>
									</a>
								</h3>
								<div class="product-excerpt"><?php echo esc_html($product_excerpt) ?></div>
								<div class="product-meta clearfix">
									<div class="p-price">
										<div class="price-s"><?php echo esc_html__( 'Price: ', 'snsanton' );?><?php woocommerce_template_single_price(); ?></div>
									</div>
									<a class="product-url" href="<?php echo get_permalink(); ?>"><?php echo esc_html__( 'Buy now', 'snsanton' );?></a>
								</div>
							</div>
						</div> 
							 <?php
						 endif; ?>

					</div>
			</div>
			<div class="sns-product-category-wrap">
					<div class="col col3">
						 <div class="category-grid">
							<div class="products-list">
								<ul class="products product_list grid zoomOut">
								<?php
									while ( $loop->have_posts() ) : $loop->the_post();
									    	wc_get_template( 'vc/item-grid2.php');
									endwhile;

									?>
									
								</ul>
							</div>
						</div> 
					</div>
					<div class="col col4 cat_image">
					</div>
			</div>
		</div>
	 <?php
	 endif;
	wp_reset_postdata();
	//ob_start();
	$output .= ob_get_clean();
}
echo $output;
