<?php
global $product, $woocommerce_loop, $yith_woocompare;

$countdown = '';
if( isset($show_countdown) ){
	$countdown = $show_countdown;
}

$class = 'item product sns-product-type-' . $product->get_type();
if ( isset($col) && $col > 0) :
	$column = ($col == 5) ? '15' : 12/$col;
	$column2 = 12/($col-1);
	$column3 = 12/($col-2);
	$class .= ' col-md-'.$column.' col-md-'.$column2.' col-sm-'.$column2.' col-xs-'.$column3.' col-phone-12';
        
endif;
if ( isset($animate) && $animate) :
$class .= ' item-animate';
endif;
if ( isset($eclass) && $eclass) :
$class .= ' '.$eclass;
endif;
	$product_cats = wp_get_post_terms( get_the_ID(), 'product_cat' );
    $single_cat = array_shift( $product_cats );
    $cat_title = $single_cat->name;
    $cat_link = $single_cat->term_id;
?>
<li class="<?php echo $class; ?>">
	<div class="block-product-inner grid-view">
		<div class="item-inner">
			<div class="item-img have-iconew have-additional clearfix">
				<div class="item-img-info">
					<a class="product-image" href="<?php the_permalink(); ?>">
						<?php
							/**
							 * woocommerce_before_shop_loop_item_title hook
							 *
							 * @hooked woocommerce_show_product_loop_sale_flash - 10
							 * @hooked woocommerce_template_loop_product_thumbnail - 10
							 */
							do_action( 'woocommerce_before_shop_loop_item_title' );
						?>
					</a>
				</div>
			</div>
			<div class="item-info">
				 <h3 class="item-title">
				 	<a class="product-name" href="<?php the_permalink(); ?>">
				 		<?php the_title(); ?>
						
				 	</a>
				 </h3>
				 <?php
						do_action( 'sns_show_product_loop_variable' );
				 ?>
				
						<?php
							/**
							 * woocommerce_after_shop_loop_item_title hook
							 *
							 * @hooked woocommerce_template_loop_rating - 5
							 * @hooked woocommerce_template_loop_price - 10
							 */
							remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
							remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
							// Re-order
							add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 5);
							//add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 10);
							do_action( 'woocommerce_after_shop_loop_item_title' );
						?>
			
			</div>
		</div>
	</div>
</li>