(function ($) {
	"use strict";
	$(document).ready(function($){
		if( $('#snsanton_layouttype').length > 0 ){
			var selector = document.getElementById('snsanton_layouttype');
			var imgLayoutHTML = '';
		    for(var i = 1; i < selector.options.length; i++){
		    	if( selector.options[i].value ){
		    		imgLayoutHTML = imgLayoutHTML + '<span class="img-layout '+selector.options[i].value+'" data-value="'+selector.options[i].value+'" title="'+selector.options[i].text+'"></span>';
		    	}
		    }
		    $('#snsanton_layouttype').parent().append(imgLayoutHTML); $('#snsanton_layouttype').css('display', 'none');
		}
		$('.img-layout').each(function(){
			// Add active class
			if($(this).attr('data-value') == $('#snsanton_layouttype').attr('data-selected')){
				$(this).addClass('active');
			}
			showHideDependLayout($('#snsanton_layouttype').attr('data-selected'));
			// Click img select
			$(this).on('click', function() {
				// Change active class
				var $val = $(this).attr('data-value'); $('.img-layout').removeClass('active'); $(this).addClass('active');
				// Set value for select
				$('#wpbody #snsanton_layouttype').val($val);
				if( typeof $('#wpbody #snsanton_layouttype').attr('data-selected') != 'undefined' ){
					$('#wpbody #snsanton_layouttype').attr('data-selected', $val);
				}
				// Hide or show field codition
				showHideDependLayout($val);
			});
		});
		//
		if ( $('#page_template').val() == 'fullwidth.php' || $('#page_template').val() == 'sidepage.php' ){
			$('#sns_layout').fadeOut(500);
		}else{
			$('#sns_layout').fadeIn(500);
		}
		
		$('#page_template').change(function(){
			if( $(this).val() == 'fullwidth.php' || $('#page_template').val() == 'sidepage.php' ){
				$('#sns_layout').fadeOut(500);
			}else{
				$('#sns_layout').fadeIn(500);
			}
		})
		function showHideDependLayout($val){
			if( $val == 'm' ){
				$('#wpbody #snsanton_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#wpbody #snsanton_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}else if( $val == 'l-m' ){
				$('#wpbody #snsanton_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#wpbody #snsanton_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}else if( $val == 'm-r' ){
				$('#wpbody #snsanton_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#wpbody #snsanton_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
		}
		// Enable layout config
		$('#wpbody input[name="snsanton_enablelayoutconfig"]').each(function(){
			if( $(this).attr('checked') == 'checked' ) enableLayoutConfig( $(this).val() );
			$(this).change(function(){
				enableLayoutConfig( $(this).val() );console.log($(this).val());
			})
		})
		// $('#wpbody input[name="sns_enablelayoutconfig"]').change(function(){
		// 	enableLayoutConfig( $(this).val() );
		// })
		function enableLayoutConfig($val){
			if( $val == '1' ){
				$('#wpbody #snsanton_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeIn(500);
				showHideDependLayout($('#snsanton_layouttype').val());
			}else{
				$('#wpbody #snsanton_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#wpbody #snsanton_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#wpbody #snsanton_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeOut(500);
			}
		}
		//
		// if ( $('#post-formats-select input').lenth > 0 ) {
		// 	showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
		// 	showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
		// 	showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
		// 	showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
		// 	showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
		// 	$('#post-formats-select input').each(function(){
		// 		$(this).unbind('click').click(function(){
		// 			showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
		// 			showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
		// 			showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
		// 			showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
		// 			showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
		// 		});
		// 	});
		// }
		// function showHideDependPostFormat($checked, $id){
		// 	if( $checked == 'checked' ){
		// 		$($id).stop(true,true).fadeIn(500);
		// 	}else {
		// 		$($id).stop(true,true).fadeOut(500);
		// 	}
		// }
		// Revolution
		$('#wpbody input[name=snsanton_useslideshow]').each(function(){
			if( $(this).attr('checked') == 'checked' ){
				if ( $(this).val() == '1' ) {
					$('#wpbody select#snsanton_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				}else {
					$('#wpbody select#snsanton_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				}
			}
			$(this).change(function(){
				if ( $(this).val() == '1' ) {
					$('#wpbody select#snsanton_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				}else {
					$('#wpbody select#snsanton_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				}
			})
		});
		// Theme color
		$('#wpbody input[name=snsanton_page_themecolor]').each(function(){
			if( $(this).attr('checked') == 'checked' ){
				if ( $(this).val() == '1' ) {
					$('#wpbody input#snsanton_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
				}else {
					$('#wpbody input#snsanton_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
				}
			}
			$(this).change(function(){
				if ( $(this).val() == '1' ) {
					$('#wpbody input#snsanton_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
				}else {
					$('#wpbody input#snsanton_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
				}
			})
		});
		// Post format
		if ( wp &&
			wp.data && 
			wp.data.select( 'core/editor' )!= null ) {
			wp.data.subscribe( function () {
				var newFormat = wp.data.select( 'core/editor' ).getEditedPostAttribute( 'format' );
				if( newFormat !== '' ) {
					$('#sns-post-gallery, #sns-post-video, #sns-post-audio, #sns-post-quote, #sns-post-link').each(function(){
						$(this).hide();
					});
					if ( newFormat !== 'standard' ) $('#sns-post-' + newFormat).show();
				}
				return;
			});
		}
	});
})(jQuery);