<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

if( class_exists('WooCommerce') ){
	$uq = rand().time();
	ob_start();	
	$class = '';
	$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
	$class .= esc_attr($this->getCSSAnimation( $css_animation ));
// if($image != ''){
// 	$image = preg_replace('/[^\d]/', '', $image);
// 	$img =   wp_get_attachment_image_src( $image , '');
// 	$img = '<img src="'.$img[0].'" alt="" />';
	
// }
?>

	<div id="sns_onsale_product-<?php echo $uq; ?>" class="sns_onsale_product <?php echo $class ; ?>">
		<div class="ico-sale hidden-sm hidden-xs">
		<?php 
				// Get the Sale Price Date To of the product
				$sale 	=floor(100- ( $sale_price = get_post_meta( $product, '_sale_price', true ) ) / ( $regular_price = get_post_meta( $product, '_regular_price', true ) )*100);		
			echo '-'.$sale.'%';
		?>
	
		</div>
		<div class="sns_onsale_product-content">	
				
			<div class="entry-summary">
				<div class="item-title">
					<h3 itemprop="name" class="product_title entry-title">
						<a href="<?php echo esc_url(get_permalink($product)); ?>"><?php echo get_the_title($product); ?></a>
					</h3>
				</div>
				<div class="item-short-desc">
					<div itemprop="description">
						<?php
						$limit = ($excerpt_lenght) ? absint($excerpt_lenght) : 20;
						$excerpt = explode(' ', get_the_excerpt($product), $limit);
						if (count($excerpt)>=$limit) {
							array_pop($excerpt);
							$excerpt = implode(" ",$excerpt).'...';
						} else {
							$excerpt = implode(" ",$excerpt);
						}
						$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
						echo $excerpt;
						?>
					</div>				
				</div> 
				
				<?php 
						// Get the Sale Price Date To of the product
						$sale_price_dates_to 	= ( $date = get_post_meta( $product, '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';
						/** set sale price date to default 10 days for http://demo.snstheme.com/ */
						if($_SERVER['SERVER_NAME'] == 'demo.snstheme.com' || $_SERVER['SERVER_NAME'] == 'dev.snsgroup.me' ){
							if($sale_price_dates_to == 0)
								$sale_price_dates_to = date('Y/m/d', strtotime('+10 days'));
						} 
						
				if(!empty($sale_price_dates_to)):
				wp_enqueue_script('countdown');
				?>
			
				<div class="item-slider-countdown">
					<div class="sns_sale_clock">
						<div><div class="day"></div><?php esc_html_e('Days', 'snsanton');?></div>
						<div><div class="hours"></div><?php esc_html_e('Hours', 'snsanton');?></div>
						<div><div class="minutes"></div><?php esc_html_e('Minutes', 'snsanton');?></div>
						<div><div class="seconds"></div><?php esc_html_e('Seconds', 'snsanton');?></div>
					</div>
					<script type="text/javascript">
						jQuery(document).ready(function($){
							$('#sns_onsale_product-<?php echo $uq; ?> .sns_sale_clock').countdown('<?php echo $sale_price_dates_to; ?>', function(event){
								$(this).find('.day').html(event.strftime('%D'));
								$(this).find('.hours').html(event.strftime('%H'));
								$(this).find('.minutes').html(event.strftime('%M'));
								$(this).find('.seconds').html(event.strftime('%S'));
							});
						});	
					</script>
				</div>
				<?php endif; ?>	
				<a class="link" href="<?php echo esc_url(get_permalink($product)); ?>"><?php esc_html_e('Add to cart', 'snsanton'); ?></a>			
			</div>
		</div>
		
	</div> 	
	<?php
	$output .= ob_get_clean();
	wp_reset_postdata();
}
echo $output;
