<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
//if( !empty($id) ) continue;
if( class_exists('WooCommerce') ){
	$uq = rand().time();
	$class = 'sns_single_product woocommerce';
	$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
	$class .= esc_attr($this->getCSSAnimation( $css_animation ));

	$args = array(
        'post_type' => 'product',
        'posts_per_page' => '1',
        'p'		=> $id,
        'post_status' => 'publish',
    );
	$product = new WP_Query($args);
	if( $product->have_posts() ): $product->the_post();
		ob_start();	
			$pr = wc_get_product(get_the_ID());
			?>
			<div id="sns_single_product-<?php echo $uq; ?>" class="<?php echo esc_attr( $class ); ?>">
				<div class="p-thumbnail-wrap <?php echo ($pr->get_type() === 'variable') ? ' sns-product-type-variable' : '';?>">
					<div class="p-thumbnail">
						<a class="product-image" href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title();?>">
							<?php
							$image_url = absint($product_image) ? wp_get_attachment_image_url($product_image, 'full') : '';
							if( $image_url !='' ){
								if(snsanton_themeoption('woo_uselazyload') == 1){
									echo '<img src="'.$image_url.'" alt="'.get_the_title().'"  class="product-image"/>';
									// echo '<img src="'.SNSANTON_THEME_URI.'/assets/img/prod_loading.gif" alt="'.get_the_title().'" data-original="'.$image_url.'" class="lazy product-image" />';
								}else{
									echo '<img src="'.$image_url.'" alt="'.get_the_title().'"  class="product-image"/>';
								}
							}else{
								if(has_post_thumbnail()){ the_post_thumbnail('snsanton_single_product_size'); }
							}
							?>
						</a>
						<div class="p-info">
							<h3 class="p-title">
								<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title();?>">
								<?php the_title();?>
								</a>
							</h3>
							<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title();?>"><i class="ic-plus"></i></a>
							<div class="p-price">
								<div class="price-s"><?php woocommerce_template_single_price(); ?></div>
							</div>
							<div class="p-action">
								<?php if ( class_exists('YITH_WCQV_Frontend') ) { ?>
					            	<a data-original-title="<?php echo esc_html( get_option('yith-wcqv-button-label') ); ?>" data-toggle="tooltip" data-product_id="<?php echo esc_attr($pr->get_id()) ?>" class="button yith-wcqv-button" href="#"></a>
					            <?php } ?>
					            <div class="cart-wrap">
									<?php
										/**
										 * woocommerce_after_shop_loop_item hook
										 *
										 * @hooked woocommerce_template_loop_add_to_cart - 10
										 */
										if ( class_exists('YITH_WCQV_Frontend') ) {
											remove_action('woocommerce_after_shop_loop_item',  array( YITH_WCQV_Frontend::get_instance(), 'yith_add_quick_view_button'), 15);
										}
										if ( isset($yith_woocompare) ) {
										    remove_action( 'woocommerce_after_shop_loop_item', array( $yith_woocompare->obj, 'add_compare_link' ), 20 );
										}
										do_action( 'woocommerce_after_shop_loop_item' ); 
									?>
								</div>
								<?php
					            if( class_exists( 'YITH_WCWL' ) ) {
					                echo do_shortcode( '[yith_wcwl_add_to_wishlist]' );
					            }
					            ?>
							</div>
						</div>
					</div>
				</div>
			</div> 	
			<?php
		$output .= ob_get_clean();
	endif;
	wp_reset_postdata();
}
echo $output;
