<?php
$lclass = '';
$rclass = '';
$mclass = '';
$hasL = 0;
$hasR = 0;

$snsanton_layouttype = snsanton_metabox('snsanton_layouttype', 'm-r');

if( is_product_category() ){
	$cate = get_queried_object();
	$snsanton_layouttype = snsanton_get_term_byid($cate->term_id, 'snsanton_product_cat_layout');
}
if ( trim($snsanton_layouttype) == '' ) $snsanton_layouttype = 'l-m'; // Tempolary
if( is_product_tag() ){
	$snsanton_layouttype = '';
}

if( is_product() ){
	$mclass = 'col-lg-12';
}
else{
	if ( $snsanton_layouttype == '' || $snsanton_layouttype == 'l-m'){
	    $lclass .= 'col-lg-3';
	    $mclass = 'col-lg-9 main-right';
	    $hasL = 1;
	}elseif( $snsanton_layouttype == 'm-r' ){
	    $rclass .= 'col-lg-3';
	    $mclass = 'col-lg-9 main-left';
	    $hasR = 1;
	}elseif( $snsanton_layouttype == 'l-m-r' ){
	    $lclass .= 'col-lg-3';
	    $rclass .= 'col-lg-3';
	    $mclass = 'col-lg-6 main-center';
	    $hasL = 1;
	    $hasR = 1;
	}else{
	    $mclass = 'col-lg-12';
	}
}
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="row sns-content sns-woocommerce-page">
			

			<?php if ($hasL == 1) :?>
			<!-- left sidebar -->
			<div class="<?php echo esc_attr($lclass); ?> sns-left">
			    <?php 
				if( snsanton_metabox('snsanton_leftsidebar')!= '' && is_active_sidebar( snsanton_metabox('snsanton_leftsidebar') ) ){
			        dynamic_sidebar( snsanton_metabox('snsanton_leftsidebar') );
			    }else{
			        dynamic_sidebar( 'woo-sidebar' );
			    }
			    ?>
			</div>
		<?php endif; ?>
			<!-- Main content -->
			<div class="<?php echo esc_attr($mclass); ?> sns-main">
			    <?php

		    	if( is_product() ){
					wc_get_template( 'single-product.php' );
				}else{
					wc_get_template( 'listing-product.php' );
				}
				?>
			</div>
			<?php if ($hasR == 1): ?>
			<!-- Right sidebar -->
			<div class="<?php echo esc_attr($rclass); ?> sns-right">
			    <?php 
			    if( snsanton_metabox('snsanton_rightsidebar')!= '' && is_active_sidebar( snsanton_metabox('snsanton_rightsidebar') ) ){
			        dynamic_sidebar( snsanton_metabox('snsanton_rightsidebar') );
			    }else{
			        dynamic_sidebar( 'woo-sidebar' );
			    }
			    ?>
			</div>
			<?php endif ?>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>