<?php
/**
 * The template for displaying tab content of Product Tabs shortcode
 *
 */
?>
<?php 
extract($tab_args);
$eclass_e = '';
if ( isset($eclass) && $eclass){
	$eclass_e = $eclass;
}

if ( isset($animate) && $animate){
    $animate = $animate;
}else{
    $animate = '';
}
?>

<div id="<?php echo esc_attr($tab_id); ?>" class="tab-pan sns-template-tab">

<?php 
	$loop = snsanton_woo_query($orderby, $number_query, $cat);
    if( $loop->have_posts() ):
        	if ($template == 'grid') :
        		?>
        		<ul class="products product_list grid <?php echo esc_attr($effect_load); ?>">
        		<?php
                $i = 0;
        		while ( $loop->have_posts() ) : $loop->the_post();
                    $i++; 
                	wc_get_template( 'vc/item-grid.php', array('col' => $col, 'animate' => $animate , 'eclass' => $eclass_e) );
                    // if(($i) % ($col-2) == 0) echo '<li class="clearfix visible-xs"></li>';  
                    // if(($i) % ($col-1) == 0) echo '<li class="clearfix visible-sm visible-md"></li>';
                    // //if($i % ($col) == 0) echo '<div class="clearfix visible-lg"></div>';
                    // if($i % $col == 0) echo '<li class="clearfix visible-lg"></li>';   
            	endwhile;
            	?>
            	</ul> 
                <?php
                $loadmoreID = '';
                if ( $number_load != '0' ): ?>
                     <?php 
                     if ( $data_type == 'order' ): ?>
                    	<div class="sns-woo-loadmore-wrap">
                    		<?php $loadmoreID = ($data_type == 'cat') ?  $cat : $orderby; ?>
                    		<div id="sns_woo_loadmore_<?php echo esc_attr($loadmoreID).'_'.$uq; ?>" class="sns-woo-loadmore btn gfont style1"
                    			data-tab-id = "<?php echo esc_attr($tab_id);?>"
                                data-numberquery="<?php echo esc_attr($number_load);?>"
                               
                    			data-start="<?php echo esc_attr($number_query); ?>"
                    			data-order="<?php echo esc_attr($orderby); ?>"
                    			data-cat="<?php echo esc_attr($cat); ?>"
                    			data-col="<?php echo esc_attr($col); ?>"
                    			data-type="<?php echo esc_attr($data_type); ?>"
                    			data-loadtext="<?php echo esc_html__('Load more products', 'snsanton'); ?>"
                    			data-loadingtext="<?php echo esc_html__('Loading...', 'snsanton'); ?>"
                    			data-loadedtext="<?php echo esc_html__('All ready', 'snsanton'); ?>">
                    			<?php echo esc_html__('Load more products', 'snsanton'); ?>
                    		</div>
                    	</div>
                        <?php else: ?> 
                         <div class="sns-woo-loadmore-wrap">
                            <?php $loadmoreID = ($data_type == 'cat') ?  $cat : $orderby; ?>
                            <div id="sns_woo_loadmore_<?php echo esc_attr($loadmoreID).'_'.$uq; ?>" class="sns-woo-loadmore btn gfont style2"
                                data-cat="<?php echo esc_attr($cat); ?>">
                                <?php 
                                    $cat_arg = get_term_by( 'slug', $cat, 'product_cat');
                                    $id =  $cat_arg->term_id;
                                ?>
                                <a class="title" href="<?php echo esc_url(get_category_link($id)) ?>" ><?php echo esc_html__('Browse our products', 'snsanton'); ?></a>
                            </div>
                        </div>
                    <?php endif ?>
                <?php endif ?>
                <?php if ( $loadmoreID !='' ): ?>
                <script type="text/javascript">
                    jQuery(document).ready(function($){
                        SnsJsWoo.snsWooLoadMore("#sns_woo_loadmore_<?php echo esc_attr($loadmoreID).'_'.$uq; ?>");
                    });
                </script>
                <?php endif; ?>
            	<?php
            else:
            ?>
           		<div class="navslider"><span class="prev"></span><span class="next"></span></div>
            
            <?php
        	    	wc_get_template( 'vc/carousel.php', array('loop' => $loop, 'number_display' => intval($number_display), 'number_display_1200' => intval($number_display_1200), 'number_display_992' => intval($number_display_992), 'number_display_768' => intval($number_display_768), 'number_display_480' => intval($number_display_480),  'number_limit' => intval($number_limit), 'wrap_id' => esc_attr($wrap_id), 'id' => esc_attr($tab_id), 'animate' => $animate , 'eclass' => $eclass_e) );
        	    endif;
            ?>
    <?php
    else:
        wc_get_template( 'loop/no-products-found.php' );
    endif;
    
    $template = '';
    ?>
</div>